Bug 146120 - games/scummvm update to 1.1.0
games/scummvm update to 1.1.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Lars Engels
Depends on:
  Show dependency treegraph
Reported: 2010-04-28 18:30 UTC by oh
Modified: 2011-11-06 16:04 UTC (History)
0 users

See Also:

file.diff (949 bytes, patch)
2010-04-28 18:30 UTC, oh
no flags Details | Diff
scummvm.diff (4.28 KB, patch)
2010-05-08 17:13 UTC, Andre
no flags Details | Diff
scummvm-tools.diff (5.84 KB, patch)
2010-05-08 17:13 UTC, Andre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description oh 2010-04-28 18:30:01 UTC
games/scummvm update to 1.1.0

Fix: Patch attached with submission follows:
How-To-Repeat: just apply the patch
Comment 1 Edwin Groothuis freebsd_committer 2010-04-28 18:30:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lme

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Andre 2010-05-08 17:13:10 UTC
Attached you'll find 2 patches. One for games/scummvm and one for
games/scummvm-tools, both for the v1.1.1 release. The patches include
various fixes/enhancements:

- it's custom build system is capable of make -j (removed MAKE_JOBS_SAFE)
- get rid of the unnecessary post-patch step, just pass LDFLAGS to configure
- install all DOCS, not just a few
- removed MPEG2 support, see ScummVM's README, it's not supported
anymore. Alternatives are DXA encoded videos, available on the
project's download page, and an integrated smacker video decoder
- removed dynamic plugins knob, the plugins were never installed
- new knobs: MT32EMU, X86_ASM (later is only used on i386)
- some game engines require data files not present on the original
game. Install those for all default engines
- sync strings and .desktop content with the project. It calls itself
an "interpreter" and the name is "ScummVM", not "SCUMMVM"
- desktop entry, for the interpreter and the new tools gui

Comment 3 Andre 2010-05-29 10:32:38 UTC
Anything wrong with my patches? I can work on those if something is wrong.
It would be nice to see updated ports for this!

Comment 4 dfilter freebsd_committer 2010-06-16 21:26:33 UTC
lme         2010-06-16 20:25:17 UTC

  FreeBSD ports repository

  Modified files:
    games/scummvm        Makefile distinfo 
  - Update to 1.1.1
  - Install some more docs
  - MPEG2 support removed
  - Support for dynamic plugins removed
  - Add OPTIONS for MT32EMU and X86_ASM
  - Install more game engines
  - Update COMMENT with a clearer description
  - Add .desktop entry
  PR:             ports/146120
  Submitted by:   Andre Heider <a.heider@gmail.com>
  Approved by:    maintainer (me)
  Revision  Changes    Path
  1.56      +38 -24    ports/games/scummvm/Makefile
  1.25      +3 -3      ports/games/scummvm/distinfo
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Philip M. Gollucci freebsd_committer 2010-09-23 05:55:29 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 6 Philip M. Gollucci freebsd_committer 2010-09-23 06:34:51 UTC
State Changed
From-To: closed->suspended

wasn not fully committeD
Comment 7 Martin Wilke freebsd_committer 2011-11-06 16:04:21 UTC
State Changed
From-To: suspended->closed

Submitter/Maintainer Feedback timeout. If this problem still exists, 
please feel free to follow-up this PR so that we can re-open it and find 
a solution for the problem. Thanks!